Can't copy file

Description

We updated a Lucee server from 5.1.x to 5.3.5.92 and started getting the following error:

We tried upgrading to the very latest snapshot, 5.3.7.24-SNAPSHOT, and that had the same issue. Both the mount points it is reading from and writing to are using goofys (https://github.com/kahing/goofys) and it worked fine before the update.

Downgrading the server back to Lucee 5.2.9.31, which is still a newer version than it was using before this issue, resolved the problem.

Environment

None

Activity

Show:
Andrew Dixon
May 12, 2020, 8:01 PM

I also had essentially the same error with `cfzip` trying to create a zip file directly onto the goofys mount as well. In that case it said "Invalid arguments" but there were similar things in the stack trace.

Zac Spitzer
May 12, 2020, 8:07 PM

this is on Linux?

Zac Spitzer
May 12, 2020, 8:12 PM

looks like a regression since 5.3.4.4-SNAPSHOT

Andrew Dixon
May 12, 2020, 8:20 PM

Yes, it is on Linux. We normally use Lucee mappings for S3, however, for this particular use case, we needed higher throughput than Lucee’s S3 implementation could offer, hence using the goofys mount in the OS instead.

Michael Offner
July 3, 2020, 7:07 PM

Fixed

Assignee

Michael Offner

Reporter

Andrew Dixon

Priority

New

Labels

Fix versions

Sprint

5.3.8 Sprint 3

Affects versions